CVE-2019-13178

NameCVE-2019-13178
Descriptionmodules/luksbootkeyfile/main.py in Calamares versions 3.1 through 3.2.10 has a race condition between the time when the LUKS encryption keyfile is created and when secure permissions are set.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs931391

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
calamares (PTS)buster3.2.4-3vulnerable
bullseye, sid3.2.17.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
calamaressource(unstable)3.2.11-1unimportant931391

Notes

https://github.com/calamares/calamares/issues/1190
Fixed by: https://github.com/calamares/calamares/commit/c9b675cbc64ac5aab35ddd86a64311abd50f7720
Negligible security impact, Debian live media grant a sudo root shell anyway

Search for package or bug name: Reporting problems